<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:xs="http://www.w3.org/2001/XMLSchema" 
xmlns:fn="http://www.w3.org/2005/xpath-functions"
xmlns:rwe="http://www.rwe.com/gi/ada"
exclude-result-prefixes="xs fn rwe">
	<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>

	
	<xsl:template match="EDIFACTINTERCHANGE">
	<xsl:message>hallo aperakprüfung</xsl:message>
		<xsl:variable name="now" select="current-dateTime()"/>
		<xsl:variable name="nachrichtennummer" select="concat('A', format-dateTime($now,	'[Y02][M01][D01][H01][m01][s01]'), substring(format-dateTime($now, '[f01]'), 1, 1))"/>
		
		<root>
	
		<infos>
			<absender><xsl:value-of select="S_UNB/C_S003/D_0010"/></absender>
			<empfaenger><xsl:value-of select="S_UNB/C_S002/D_0004"/></empfaenger>
			<nachrichtennummer><xsl:value-of select="$nachrichtennummer"/></nachrichtennummer>
			<referenznummer><xsl:value-of select="S_UNB/D_0020"/></referenznummer>
			<nowDTM><xsl:value-of select="format-dateTime($now, '[Y0002][M01][D01][H01][m01]')"/></nowDTM>
		</infos>

		<xsl:apply-templates select="M_IFTSTA/G_IFTSTA_SG4"/>
		<xsl:apply-templates select="M_IFTSTA/G_IFTSTA_SG13/G_IFTSTA_SG14"/>
		</root>
	</xsl:template>
		
		<xsl:template match="G_IFTSTA_SG4">
			<xsl:variable name="pruefidentifikator" select="S_RFF[C_C506/D_1153='Z13']/C_C506/D_1154"/>
			<xsl:choose>
				<xsl:when test="$pruefidentifikator='21000' or $pruefidentifikator='21001'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z01' or S_STS/C_C601/D_9015='Z14')">
						<fehler>
							<code>Z29</code>
							<freitext>Prüfstatus Antwort auf Summenzeitreihen (LF-SZR, NZR)</freitext>
							<referenz><xsl:value-of select="../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>
				</xsl:when>	
				<xsl:when test="$pruefidentifikator='21002'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z02' or S_STS/C_C601/D_9015='Z14')">
						<fehler>
							<code>Z29</code>
							<freitext>Abweisung Zeitreihe für Bilanzkreissummen</freitext>
							<referenz><xsl:value-of select="../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>						
				</xsl:when>
				<xsl:when test="$pruefidentifikator='21003' or $pruefidentifikator='21004' or $pruefidentifikator='21005'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z03' or S_STS/C_C601/D_9015='Z14')">
						<fehler>
							<code>Z29</code>
							<freitext>Prüfstatus zur Zeitreihe für die Bilanzkreissummen</freitext>
							<referenz><xsl:value-of select="../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>			
					<xsl:if test="not(S_STS/C_C601/D_9015='Z04')">
						<fehler>
							<code>Z29</code>
							<freitext>Datenstatus zur Zeitreihe für Bilanzkreissummen bzw. Netzzeitreihen</freitext>
							<referenz><xsl:value-of select="../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>									
				</xsl:when>			
				<xsl:when test="$pruefidentifikator='21006'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z06')">
						<fehler>
							<code>Z29</code>
							<freitext>Datenstatusänderungsaufforderung</freitext>
							<referenz><xsl:value-of select="../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>			
				</xsl:when>				
				
			</xsl:choose>

		</xsl:template>
		
		
		<xsl:template match="G_IFTSTA_SG14">
			<xsl:variable name="pruefidentifikator" select="S_RFF[C_C506/D_1153='Z13']/C_C506/D_1154"/>
			
			<xsl:choose>
				<xsl:when test="$pruefidentifikator='21007' or $pruefidentifikator='21008'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z09' or S_STS/C_C601/D_9015='Z10')">
						<fehler>
							<code>Z29</code>
							<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
							<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>						
				</xsl:when>		
				<xsl:when test="$pruefidentifikator='21009' or $pruefidentifikator='21010' or $pruefidentifikator='21011' or $pruefidentifikator='21012' or $pruefidentifikator='21013'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z09' or S_STS/C_C601/D_9015='Z10')">
						<fehler>
							<code>Z29</code>
							<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
							<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>						
					
					<xsl:choose>
						<xsl:when test="$pruefidentifikator='21009' or $pruefidentifikator='21011' or $pruefidentifikator='21013'">
							<xsl:if test="not(S_STS/C_C555/D_4405='Z13')">
								<fehler>
									<code>Z29</code>
									<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
									<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
								</fehler>
							</xsl:if>			
							<xsl:if test="$pruefidentifikator='21011'">
								<xsl:if test="not(S_STS/C_C556/D_9013='Z66')">
									<fehler>
										<code>Z29</code>
										<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
										<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
									</fehler>
								</xsl:if>		
							</xsl:if>			
							<xsl:if test="$pruefidentifikator='21013'">
								<xsl:if test="not(S_STS/C_C556/D_9013='E17')">
									<fehler>
										<code>Z29</code>
										<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
										<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
									</fehler>
								</xsl:if>		
							</xsl:if>														
						</xsl:when>	
						<xsl:when test="$pruefidentifikator='21010' or $pruefidentifikator='21012'">
							<xsl:if test="not(S_STS/C_C555/D_4405='Z14')">
								<fehler>
									<code>Z29</code>
									<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
									<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
								</fehler>
							</xsl:if>						
						</xsl:when>							
					</xsl:choose>	
				</xsl:when>		
				<xsl:when test="$pruefidentifikator='21014' or $pruefidentifikator='21015' or $pruefidentifikator='21016' or $pruefidentifikator='21017'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z09' or S_STS/C_C601/D_9015='Z10')">
						<fehler>
							<code>Z29</code>
							<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
							<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>
					<xsl:if test="$pruefidentifikator='21014' or $pruefidentifikator='21016'">
						<xsl:if test="not(S_STS/C_C555/D_4405='Z13')">
							<fehler>
								<code>Z29</code>
								<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
								<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
							</fehler>
						</xsl:if>	
						<xsl:if test="not(S_STS/C_C556/D_9013='E17' or S_STS/C_C556/D_9013='Z66')">
							<fehler>
								<code>Z29</code>
								<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
								<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
							</fehler>
						</xsl:if>							
					</xsl:if>
					<xsl:if test="$pruefidentifikator='21015' or $pruefidentifikator='21017'">
						<xsl:if test="not(S_STS/C_C555/D_4405='Z14')">
							<fehler>
								<code>Z29</code>
								<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
								<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
							</fehler>
						</xsl:if>										
					</xsl:if>			
				</xsl:when>
				<xsl:when test="$pruefidentifikator='21018' or $pruefidentifikator='21019'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z09' or S_STS/C_C601/D_9015='Z10')">
						<fehler>
							<code>Z29</code>
							<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
							<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>
					<xsl:if test="not(S_STS/C_C555/D_4405='Z14')">
						<fehler>
							<code>Z29</code>
							<freitext>MSB-Wechselstatus (ggf. inkl. MDL-Wechsel)</freitext>
							<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>						
				</xsl:when>
				<xsl:when test="$pruefidentifikator='21020' or $pruefidentifikator='21021' or $pruefidentifikator='21022' or $pruefidentifikator='21023'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z11')">
						<fehler>
							<code>Z29</code>
							<freitext>MDL-Wechselstatus</freitext>
							<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>
					<xsl:if test="not(S_STS/C_C555/D_4405='Z14')">
						<fehler>
							<code>Z29</code>
							<freitext>MDL-Wechselstatus</freitext>
							<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>						
				</xsl:when>			
				<xsl:when test="$pruefidentifikator='21024' or $pruefidentifikator='21025' or $pruefidentifikator='21026' or $pruefidentifikator='21027'">
					<xsl:if test="not(S_STS/C_C601/D_9015='Z15')">
						<fehler>
							<code>Z29</code>
							<freitext>Messstellenumbaustatus</freitext>
							<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
						</fehler>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="$pruefidentifikator='21024' or $pruefidentifikator='21026'">
							<xsl:if test="not(S_STS/C_C555/D_4405='Z14')">
							<fehler>
								<code>Z29</code>
								<freitext>Messstellenumbaustatus</freitext>
								<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
							</fehler>
							</xsl:if>
						</xsl:when>
						<xsl:when test="$pruefidentifikator='21025' or $pruefidentifikator='21027'">
							<xsl:if test="not(S_STS/C_C555/D_4405='Z13')">
								<fehler>
									<code>Z29</code>
									<freitext>Messstellenumbaustatus</freitext>
									<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
								</fehler>
							</xsl:if>
							<xsl:if test="not(S_STS/C_C556/D_9013='Z74' or S_STS/C_C556/D_9013='Z75')">
								<fehler>
									<code>Z29</code>
									<freitext>Messstellenumbaustatus</freitext>
									<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
								</fehler>
							</xsl:if>							
						</xsl:when>
						<xsl:when test="$pruefidentifikator='21028'">
							<xsl:if test="not(S_STS/C_C601/D_9015='Z12')">
								<fehler>
									<code>Z29</code>
									<freitext>Turnusauslesungsstatus</freitext>
									<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
								</fehler>
							</xsl:if>
							<xsl:if test="not(S_STS/C_C555/D_4405='Z13')">
								<fehler>
									<code>Z29</code>
									<freitext>Turnusauslesungsstatus</freitext>
									<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
								</fehler>
							</xsl:if>	
							<xsl:if test="not(S_STS/C_C556/D_9013='Z74' or S_STS/C_C556/D_9013='Z75' or S_STS/C_C556/D_9013='Z76' or S_STS/C_C556/D_9013='Z77' or S_STS/C_C556/D_9013='Z78' or S_STS/C_C556/D_9013='Z79' or S_STS/C_C556/D_9013='Z80' or S_STS/C_C556/D_9013='Z81' or S_STS/C_C556/D_9013='Z82' or S_STS/C_C556/D_9013='ZD7' or S_STS/C_C556/D_9013='ZD8')">
								<fehler>
									<code>Z29</code>
									<freitext>Turnusauslesungsstatus</freitext>
									<referenz><xsl:value-of select="../../S_UNH/D_0062"/></referenz>
								</fehler>
							</xsl:if>													
						</xsl:when>							
					</xsl:choose>
					
				</xsl:when>							
			</xsl:choose>
		
		</xsl:template>
							
</xsl:stylesheet>